Package fr.gouv.vitam.logbook.common.server.database.collections

# Enum Class LogbookCollections

java.lang.Object
java.lang.Enum<LogbookCollections>
fr.gouv.vitam.logbook.common.server.database.collections.LogbookCollections

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookCollections>`, `Constable`

public enum LogbookCollections extends Enum<LogbookCollections>
All collections

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LIFECYCLE_OBJECTGROUP`
  LifeCycle object group Collection
  `LIFECYCLE_OBJECTGROUP_IN_PROCESS`
  LifeCycle object group in process
  `LIFECYCLE_UNIT`
  LifeCycle unit Collection
  `LIFECYCLE_UNIT_IN_PROCESS`
  LifeCycle unit in process
  `OPERATION`
  Operation Collection

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String[]`
  `MULTI_TENANT_EV_TYPES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<Class<?>>`
  `getClasses()`
  `protected Class<? extends VitamDocument<?>>`
  `getClasz()`
  `<T extends org.bson.Document>
  com.mongodb.client.MongoCollection<T>`
  `getCollection()`
  `ElasticsearchCollections`
  `getElasticsearchCollection()`
  `LogbookElasticsearchAccess`
  `getEsClient()`
  `String`
  `getName()`
  `<T extends VitamDocument<?>>
  VitamCollection<T>`
  `getVitamCollection()`
  `VitamDescriptionResolver`
  `getVitamDescriptionResolver()`
  `protected void`
  `initialize(com.mongodb.client.MongoDatabase db, boolean recreate)`
  Initialize the collection
  `protected void`
  `initialize(LogbookElasticsearchAccess esClient)`
  Initialize the collection
  `static LogbookCollections`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookCollections[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPERATION

    public static final LogbookCollections OPERATION
    Operation Collection

  - ### LIFECYCLE_UNIT

    public static final LogbookCollections LIFECYCLE_UNIT
    LifeCycle unit Collection

  - ### LIFECYCLE_OBJECTGROUP

    public static final LogbookCollections LIFECYCLE_OBJECTGROUP
    LifeCycle object group Collection

  - ### LIFECYCLE_UNIT_IN_PROCESS

    public static final LogbookCollections LIFECYCLE_UNIT_IN_PROCESS
    LifeCycle unit in process

  - ### LIFECYCLE_OBJECTGROUP_IN_PROCESS

    public static final LogbookCollections LIFECYCLE_OBJECTGROUP_IN_PROCESS
    LifeCycle object group in process

- ## Field Details

  - ### MULTI_TENANT_EV_TYPES

    public static final String[] MULTI_TENANT_EV_TYPES

- ## Method Details

  - ### values

    public static LogbookCollections[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookCollections valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getClasses

    public static List<Class<?>> getClasses()

  - ### initialize

    protected void initialize(com.mongodb.client.MongoDatabase db, boolean recreate)
    Initialize the collection
    Parameters:
      `db` - the mongo database
      `recreate` - if needs to be recreated

  - ### initialize

    protected void initialize(LogbookElasticsearchAccess esClient)
    Initialize the collection
    Parameters:
      `esClient` - the ElasticsearchAccess

  - ### getName

    public String getName()
    Returns:
      the name of the collection

  - ### getCollection

    public <T extends org.bson.Document> com.mongodb.client.MongoCollection<T> getCollection()
    Returns:
      the associated MongoCollection

  - ### getVitamCollection

    public <T extends VitamDocument<?>> VitamCollection<T> getVitamCollection()
    Returns:
      the associated VitamCollection

  - ### getClasz

    protected Class<? extends VitamDocument<?>> getClasz()
    Returns:
      the associated class

  - ### getEsClient

    public LogbookElasticsearchAccess getEsClient()
    Returns:
      the associated ES Client

  - ### getVitamDescriptionResolver

    public VitamDescriptionResolver getVitamDescriptionResolver()

  - ### getElasticsearchCollection

    public ElasticsearchCollections getElasticsearchCollection()